
Figure - 开发 Dev #110664
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 110660 (New): 【MK】【027】【MCU】主任务

【MK】【027】【MCU】【TC-RID: 1201-0102704】与Soc端的uart通信
2022-07-25 13:10 - CD TPM-申艳艳

Status: 进行中 In Progress Start date: 2022-10-28

Priority: Normal Due date:

Assignee: CD BSP-陈杰 % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Description

请填写信息：

■需求列表:

https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc L55

与Soc端的uart通信

■提出URL：必填

■自测case：必填

■注意点：需要测试注意的前提条件

Subtasks:

开发 Dev # 113251: 【MK】【027】【MCU】【TC-RID:1201-0102705】MCU和MPU的心跳 未着手 Not Started

History

#1 - 2022-08-02 15:01 - SZ TPM-罗云进

- Category changed from 714 to 709

- Assignee changed from SZ TPM-罗云进 to SZ BSP-徐季源

#2 - 2022-08-04 21:30 - CD TPM-申艳艳

- Subject changed from 【MK】【029】【MCU】【TC-RID: 0301-0102904】与Soc端的uart通信 to 【MK】【029】【MCU】【TC-RID: 1201-0102704】与Soc

端的uart通信

#3 - 2022-08-04 21:33 - CD TPM-申艳艳

- Subject changed from 【MK】【029】【MCU】【TC-RID: 1201-0102704】与Soc端的uart通信 to 【MK】【027】【MCU】【TC-RID: 1201-0102704】与Soc

端的uart通信

#4 - 2022-08-29 10:06 - SZ BSP-徐季源

- Status changed from New to 进行中 In Progress

- % Done changed from 0 to 80

UART 自升级已完成，还需要增加 CAN 数据的转发协议。

#5 - 2022-09-13 09:52 - SZ BSP-徐季源

- Assignee changed from SZ BSP-徐季源 to CD BSP-陈杰

#6 - 2022-12-22 20:20 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

140510 general/platform/vendor/thundercom
Pre_figure_turbox-c2130c-la1.1-vendo huangpf1028@thundersoft.com

https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc


m/uart r-dev

BSP:UART: Add the hardware interface of uartAdd the hardware interface of uartTC-RID: 1201-0102704IssueID: TC-R-DF-110664Change-Id:

I51e468d476e217b30387227defe6ddb04154caa4

#7 - 2022-12-22 20:20 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

140518 general/platform/vendor/thundercom

m/uart

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

huangpf1028@thundersoft.com

BSP:UART: Add UART ServiceAdd UART Service implmentionTC-RID: 1201-0102704IssueID: TC-R-DF-110664Change-Id:

If47207efac9c9079a1ecf13ddf05f657789091eb

#8 - 2022-12-22 20:20 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

140519 general/platform/vendor/thundercom

m/uart

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

huangpf1028@thundersoft.com

BSP:UART: Add security policy for uart serviceAdd selinux permission issueTC-RID: 1201-0102704IssueID: TC-R-DF-110664Change-Id:

I9f4c0737929082c6a41c5ca3e90b5179e9488d20

#9 - 2022-12-22 20:20 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

140595 general/platform/vendor/thundercom

m/uart

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

huangpf1028@thundersoft.com

BSP:UART: Add UART framework layer codeAdd UART framework layer codeTC-RID: 1201-0102704IssueID: TC-R-DF-110664Change-Id:

I9f75b8b6bb2d54eaf3d81212196157dfe612f782

#10 - 2022-12-22 20:22 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

141374 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

huhao0702@thundersoft.com
BSP: MCU: bring up UART connected to MCU[1/2]Bring up the UART which is connected to MCU.TC-RID: 1201-0102704IssueID:

TC-R-DF-110664Change-Id: I9aa4661f925ebab28e7d36a822b8dc85d2bdf041

#11 - 2022-12-22 20:22 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

141376 general/trustzone_images Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

huhao0702@thundersoft.com

BSP: MCU: bring up UART connected to MCU[2/2]Bring up the UART which is connected to MCU, change TZaccess control configuration.TC-RID:

1201-0102704IssueID: TC-R-DF-110664Change-Id: I0b50ebbf78d890c70493865a96b5b1fcf90a1e85

#12 - 2022-12-22 20:24 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

143100 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jiyuan.xu@thundercomm.com

BSP: UART: no sleep if no wakeup irq configured1. If no wakeup irq configured, UART will sleep after 150ms    of writing, then 865 cannot receive messages unless 

  you write agian to wakeup it.    Do not let it sleep if no wake up irq configured.TC-RID: 1201-0102704IssueID: TS-R-DF-110664Change-Id:

Ib411f92e434b710dca09badc0e1877730d1d077f

#13 - 2022-12-22 20:24 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

143358 general/platform/vendor/qcom-opens

ource/core-utils

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

huangpf1028@thundersoft.com

BSP:UART: Add framwork matrixAdd framwork matrixTC-RID: 1201-0102704IssueID: TC-R-DF-110664Change-Id:

I17655e2cb243fe27d348b101415fb7d2b28749d7

#14 - 2022-12-22 20:24 - CD FW-王伟

Gerrit Merge Information：
ID Project Branch Uploader

143466 general/platform/vendor/qcom-opens

ource/core-utils

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com

BSP:UART: Added framework compatibility on QSSIAdded framework compatibility on QSSITC-RID: 1201-0102704IssueID: TC-R-DF-110664Change-Id:

I3660203a1b45eb07a2458b31c6796d69d5239338

#15 - 2022-12-22 20:24 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

143467 general/LA.QSSI/LINUX/android/ven

dor/qcom/proprietary

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com

BSP:UART: Add the hash interface of the uart serviceAdd the hash interface of the uart serviceTC-RID: 1201-0102704IssueID: TC-R-DF-110664Change-Id:

I0928c9e04f9cbd824913d53784250866cd28e782

#16 - 2022-12-22 20:26 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

143857 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

huangpf1028@thundersoft.com

BSP:UART: Add uart buildAdd uart buildChange-Id: I43129fea369b3bf590f4597e48c849f2e256c5d3TC-RID: 1201-0102704IssueID: TC-R-DF-110664

#17 - 2022-12-22 20:26 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

144495 general/turbox/tools/build_script/platf

orm

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

yunjin.luo@thundercomm.com

BSP:Build: Add OTA Package compiler Add OTA Package compilerChange-Id: Ib3d18a756b3a320b587babc12f9672b4d1bc1038TC-RID: 1201-0102704IssueID:

TC-R-DF-110664

#18 - 2022-12-22 20:38 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152609 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

2025-07-04 4/7

jie.chen@thundersoft.com



r-dev

BSP:MCU: MCU code buring up, storage, and feature integrationThis commit protects the following functions:1. Buring up of MCU code2. Solve the power-on

and power-on sequence bug3. Increase the voltage protection function4. MCU firmware upgrade functionTC-RID: 1201-0102701TC-RID:

1201-0102703TC-RID: 1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID: TS-R-BUG-112002IssueID:

TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID: TS-R-DF-110664Change-Id:

Iacb3bbd40b9278405f21f5d34d741dfe08c3c4ff

#19 - 2022-12-22 20:39 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152787 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: MCU: Add firmware for MCU programming and upgradeThe firmware version information is V0.0.1, which is the initial version. Implementation function:1.

Increase the power-on sequence2. Increase the voltage protection function3. Add version informationTC-RID: 1201-0102701TC-RID: 1201-0102703TC-RID:

1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID: TS-R-BUG-112002IssueID:

TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID: TS-R-DF-110664Change-Id:

I047b1483f36d87a7a080b1470eb836cbc620a06e
#20 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154928 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP:MCU: Functional integration version of the MCUThis version contains the following functions:1.Improve the overvoltage protection function and increase

theover-voltage protection communication with the MMU;2.Improve the function of power-on and power-up sequence, andfix the problem that the boot screen

is not displayed;3.increase the can communication through, currently only openthe can's transceiver, there is no integration of other can's functions.TC-RID:

1201-0102701TC-RID: 1201-0102703TC-RID: 1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID:

TS-R-BUG-112002IssueID: TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID:

TS-R-DF-110664Change-Id: I0c7022c0c6e09e54f1b390deb1fb0df27ece4a38

#21 - 2023-07-24 14:32 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

217018 general/platform/vendor/thundercom

m/uart

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

wangxl0510@thundersoft.com

BSP:UART: Analyze UART log for mcu message.Analyze uart message.TC-RID: 1201-0102704IssueID: TS-R-DF-110664Change-Id:

I971140c980508c825218ed40e4554dcc28c66d0e

#22 - 2023-07-27 20:16 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

218249 general/platform/vendor/thundercom

m/uart

Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp

wangxl0510@thundersoft.com
BSP:UART: Analyze UART log for mcu message.Analyze uart message.TC-RID: 1201-0102704IssueID: TS-R-DF-110664Change-Id:

I971140c980508c825218ed40e4554dcc28c66d0e(cherry picked from commit 653b2081dbfe76d4030d73b2221c77564524a926)
